org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class DistinctStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.DistinctStageVerification

    public class DistinctStageVerification
    extends java.lang.Object

Verification for the distinct stage.

### Nested Class Summary

Nested Classes
`class` `DistinctStageVerification.ProcessorVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `distinctStageBuilderShouldBeReusable()`
`void` `distinctStageShouldPropagateCancel()`
`void` `distinctStageShouldPropagateExceptionsThrownByEquals()`
`void` `distinctStageShouldPropagateUpstreamExceptions()`
`void` `distinctStageShouldReturnAnEmptyStreamWhenCalledOnEmptyStreams()`
`void` `distinctStageShouldReturnDistinctElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### distinctStageShouldReturnDistinctElements

    public void distinctStageShouldReturnDistinctElements()

#### distinctStageShouldReturnAnEmptyStreamWhenCalledOnEmptyStreams

    public void distinctStageShouldReturnAnEmptyStreamWhenCalledOnEmptyStreams()

#### distinctStageShouldPropagateUpstreamExceptions

    public void distinctStageShouldPropagateUpstreamExceptions()

#### distinctStageShouldPropagateExceptionsThrownByEquals

    public void distinctStageShouldPropagateExceptionsThrownByEquals()

#### distinctStageShouldPropagateCancel

    public void distinctStageShouldPropagateCancel()

#### distinctStageBuilderShouldBeReusable

    public void distinctStageBuilderShouldBeReusable()